#include "client/gui/GuiWidget.h"

#include <imgui.h>

namespace blitz {
namespace gui {

int GuiWidget::GetWindowFullScreenFlags() {
	return ImGuiWindowFlags_NoDecoration | ImGuiWindowFlags_NoMove | ImGuiWindowFlags_NoSavedSettings | ImGuiWindowFlags_NoBackground;
}

void GuiWidget::SetNextWindowFullScreen() {
	const ImGuiViewport* viewport = ImGui::GetMainViewport();
	ImGui::SetNextWindowPos(viewport->WorkPos);
	ImGui::SetNextWindowSize(viewport->WorkSize);
}
}  // namespace gui

}  // namespace blitz
